#include <gmm/gmm.h>
int main() {
  size_t pivot_size = 10;
#if defined(GMM_VERSION)
  gmm::lapack_ipvt pivot;
#else
  std::vector<size_t> pivot;  
#endif

  pivot.resize(pivot_size);
  for (size_t i = 0; i < pivot_size; ++i) {
    int x = (int)pivot.get(i);
  }

  return 0;
}
